package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF673 extends MwfRequest<MWF673, MWF673Response> {

    @Parameter(name = "AP")
    MWF673 ap(String ap);
    @Parameter(name = "CISLOUCTU")
    MWF673 cislouctu(String cislouctu);
    @Parameter(name = "CISLOUVEROVEHOUCTU")
    MWF673 cislouverovehouctu(String cislouverovehouctu);
    @Parameter(name = "DATUMPLATNOSTI")
    MWF673 datumplatnosti(java.util.Date datumplatnosti);
    @Parameter(name = "DATUMPODPISUSMLOUVY")
    MWF673 datumpodpisusmlouvy(java.util.Date datumpodpisusmlouvy);
    @Parameter(name = "STAVZADOSTI")
    MWF673 stavzadosti(Long stavzadosti);
}
